"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var macro_1 = __importStar(require("styled-components/macro"));
var layout_1 = require("../layout");
/**
 * -------------- Headings --------------
 */
var HeadingRoot = macro_1.css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  font-weight: 500;\n  line-height: 1.2;\n  margin: ", "px 0;\n"], ["\n  font-weight: 500;\n  line-height: 1.2;\n  margin: ", "px 0;\n"])), layout_1.SPACING);
exports.H1 = macro_1.default.span(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  ", ";\n  font-size: 40px;\n"], ["\n  ", ";\n  font-size: 40px;\n"])), HeadingRoot);
exports.H2 = macro_1.default.span(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  ", ";\n  font-size: 32px;\n"], ["\n  ", ";\n  font-size: 32px;\n"])), HeadingRoot);
exports.H3 = macro_1.default.span(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  ", ";\n  font-size: 28px;\n"], ["\n  ", ";\n  font-size: 28px;\n"])), HeadingRoot);
exports.H4 = macro_1.default.span(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  ", ";\n  font-size: 24px;\n"], ["\n  ", ";\n  font-size: 24px;\n"])), HeadingRoot);
exports.H5 = macro_1.default.span(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  ", ";\n  font-size: 20px;\n"], ["\n  ", ";\n  font-size: 20px;\n"])), HeadingRoot);
exports.H6 = macro_1.default.span(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  ", ";\n  font-size: 16px;\n"], ["\n  ", ";\n  font-size: 16px;\n"])), HeadingRoot);
/**
 * -------------- Displays --------------
 */
var DisplayRoot = macro_1.css(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  font-weight: 300;\n  line-height: 1.2;\n"], ["\n  font-weight: 300;\n  line-height: 1.2;\n"])));
exports.Display1 = macro_1.default.span(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n  ", ";\n  font-size: 96px;\n"], ["\n  ", ";\n  font-size: 96px;\n"])), DisplayRoot);
exports.Display2 = macro_1.default.span(templateObject_10 || (templateObject_10 = __makeTemplateObject(["\n  ", ";\n  font-size: 88px;\n"], ["\n  ", ";\n  font-size: 88px;\n"])), DisplayRoot);
exports.Display3 = macro_1.default.span(templateObject_11 || (templateObject_11 = __makeTemplateObject(["\n  ", ";\n  font-size: 72px;\n"], ["\n  ", ";\n  font-size: 72px;\n"])), DisplayRoot);
exports.Display4 = macro_1.default.span(templateObject_12 || (templateObject_12 = __makeTemplateObject(["\n  ", ";\n  font-size: 56px;\n"], ["\n  ", ";\n  font-size: 56px;\n"])), DisplayRoot);
/**
 * -------------- Paragraphs --------------
 */
var ParagraphRoot = macro_1.css(templateObject_13 || (templateObject_13 = __makeTemplateObject(["\n  font-size: 16px;\n  font-weight: 300;\n  margin-top: 0;\n  margin-bottom: ", "px;\n"], ["\n  font-size: 16px;\n  font-weight: 300;\n  margin-top: 0;\n  margin-bottom: ", "px;\n"])), layout_1.SPACING * 2);
exports.P = macro_1.default.p(templateObject_14 || (templateObject_14 = __makeTemplateObject(["\n  ", ";\n"], ["\n  ", ";\n"])), ParagraphRoot);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8, templateObject_9, templateObject_10, templateObject_11, templateObject_12, templateObject_13, templateObject_14;
