import { FlattenSimpleInterpolation } from "styled-components";
export declare const SMALL_DEVICES_BREAK_POINT = 576;
export declare const SMALL_DEVICES_MAX_WIDTH = 540;
export declare const MEDIUM_DEVICES_BREAK_POINT = 768;
export declare const MEDIUM_DEVICES_MAX_WIDTH = 720;
export declare const LARGE_DEVICES_BREAK_POINT = 992;
export declare const LARGE_DEVICES_MAX_WIDTH = 960;
export declare const EXTRA_LARGE_DEVICES_BREAK_POINT = 1200;
export declare const EXTRA_LARGE_DEVICES_MAX_WIDTH = 1140;
export declare enum __MEDIA_QUERY_BREAK_POINT {
    SMALL = "SMALL",
    MEDIUM = "MEDIUM",
    LARGE = "LARGE",
    EXTRA_LARGE = "EXTRA_LARGE"
}
export declare const makeQuery: (key: __MEDIA_QUERY_BREAK_POINT) => (style: string | TemplateStringsArray | FlattenSimpleInterpolation) => string;
